# GimpUi.ColorDisplay

    from gi.repository import GimpUi

    color_display = GimpUi.ColorDisplay(color_config=value, color_managed=value, enabled=value)

Functions and definitions for creating pluggable GIMP display color correction modules.

## Hierarchy

- GObject.Object
  - GimpUi.ColorDisplay

## Methods

- GimpUi.ColorDisplay.changed
- GimpUi.ColorDisplay.clone
- GimpUi.ColorDisplay.configure
- GimpUi.ColorDisplay.configure_reset
- GimpUi.ColorDisplay.convert_buffer
- GimpUi.ColorDisplay.get_config
- GimpUi.ColorDisplay.get_enabled
- GimpUi.ColorDisplay.get_managed
- GimpUi.ColorDisplay.load_state
- GimpUi.ColorDisplay.save_state
- GimpUi.ColorDisplay.set_enabled

## Properties

- color-config
- color-managed
- enabled

## Signals

- changed

## Virtual functions

- GimpUi.ColorDisplay::configure
- GimpUi.ColorDisplay::convert_buffer

## Fields

- GimpUi.ColorDisplay->parent_instance